%{?nodejs_find_provides_and_requires}

%global packagename conventional-changelog-preset-loader
%global enable_tests 1

Name:		nodejs-%{packagename}
Version:	1.1.8
Release:	5%{?dist}
Summary:	Configuration preset loader for conventional-changelog

License:	MIT
URL:		https://github.com/conventional-changelog/conventional-changelog/tree/master/packages/conventional-changelog-preset-loader
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	%{packagename}-tests-%{version}.tar.bz2
Source10:	dl-cc-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(chai)
BuildRequires:	npm(sinon)
BuildRequires:	npm(sinon-chai)
%endif

%description
Configuration preset loader for conventional-changelog.


%prep
%autosetup -n package -p1
# setup the tests
%autosetup -T -D -a 1 -n package

%if 0%{?enable_tests}
%nodejs_fixdep chai
%nodejs_fixdep mocha
%endif

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Mar 29 2018 jsmith <jsmith.fedora@gmail.com> - 1.1.8-1
- Update to upstream 1.1.8 release

* Wed Feb 21 2018 Jared Smith <jsmith@fedoraproject.org> - 1.1.5-1
- Initial packaging
